High-level package for (bio-)informatics


License
BSD-1-Clause
Install
pip install soothsayer==2021.1.13

Documentation


Current Version:

v2020.01

Citation:

*Espinoza, *Dupont et al. 2020 (In Review)

Case studies, tutorials and usage:

Documentation coming soon. .. ... ..... ........

Installation:

Please refer to the installation manual for installation details.
It will make the installation process much easier due to all of the dependencies.

Development:

Soothsayer is in a developmental stage. If you're not sure if your installation is a developmental version, check by running: import soothsayer as sy; print(sy.__developmental__). It is highly recommended to update to the current version.

If you are interested in requesting features or wish to report a bug, please post a GitHub issue prefixed with the tag [Feature Request] and [Bug], respectively.

Known bugs:

  • statsmodels v0.10.0 has a bug that fails to unpickle regression models. If you will be using soothsayer.regression, then install the v0.10.x patch for statsmodels with the following:
pip install git+https://github.com/statsmodels/statsmodels.git@maintenance/0.10.x

Contact: